<HTML>
<HEAD>
<META NAME="ROBOTS" CONTENT="NOFOLLOW">
<META CONTENT="text/ssperl; CGI=`$INPUTFILE $DEBUG='NO' $METHOD=POST`">
<TITLE>Test File Upload</TITLE>
</HEAD>
<BODY>
<H1 ALIGN="CENTER">Test File Upload</H1>

<p>
Test the file upload of CGIscriptor.
</p>

<h2>Please select a file</h2>
<FORM METHOD="<SCRIPT TYPE="text/ssperl">"$METHOD"</SCRIPT>" ACTION="TestUpload.html" ENCTYPE="multipart/form-data">
<p>
supply your own text file <INPUT TYPE="file" NAME="INPUTFILE" ACCEPT="text/plain">
</p>

<input TYPE='SUBMIT' NAME='SUBMIT' VALUE='RUN'> 
<INPUT TYPE='RADIO' NAME='METHOD' VALUE='POST' <script TYPE="text/ssperl">'CHECKED' if $METHOD eq 'POST'</script>> POST
<INPUT TYPE='RADIO' NAME='METHOD' VALUE='GET' <script TYPE="text/ssperl">'CHECKED' if $METHOD ne 'POST'</script>> GET<br>
</FORM>


<hr>
<pre>
<SCRIPT TYPE="text/ssperl">
if($INPUTFILE)
{
    print STDOUT "<pre>$INPUTFILE</pre>"
}
else
{
	print STDOUT "No input\n";
};

"";
</script>
</pre>
</BODY>
